Run linkedin-extract-company-viewers action live
curl --request POST \
--url https://api.edges.run/v1/actions/linkedin-extract-company-viewers/run/live \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"input": {
"linkedin_company_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": [
"44444444-4444-4444-4444-444444444444"
]
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {linkedin_company_url: '<string>', custom_data: {}},
parameters: {},
identity_ids: ['44444444-4444-4444-4444-444444444444']
})
};
fetch('https://api.edges.run/v1/actions/linkedin-extract-company-viewers/run/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/actions/linkedin-extract-company-viewers/run/live"
payload = {
"input": {
"linkedin_company_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": ["44444444-4444-4444-4444-444444444444"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"view_date": "2023-12-25",
"linkedin_profile_handle": "<string>",
"headline": "<string>",
"linkedin_profile_url": "<string>",
"sales_navigator_profile_id": "<string>",
"linkedin_profile_id": 123,
"profile_image_url": "<string>",
"linkedin_people_post_search_url": "<string>"
}
]Extract LinkedIn Company Viewers
Extract LinkedIn Company Viewers
Extract the list of people who have viewed a LinkedIn company page recently.
POST
/
actions
/
linkedin-extract-company-viewers
/
run
/
live
Run linkedin-extract-company-viewers action live
curl --request POST \
--url https://api.edges.run/v1/actions/linkedin-extract-company-viewers/run/live \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"input": {
"linkedin_company_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": [
"44444444-4444-4444-4444-444444444444"
]
}
'const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {linkedin_company_url: '<string>', custom_data: {}},
parameters: {},
identity_ids: ['44444444-4444-4444-4444-444444444444']
})
};
fetch('https://api.edges.run/v1/actions/linkedin-extract-company-viewers/run/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/actions/linkedin-extract-company-viewers/run/live"
payload = {
"input": {
"linkedin_company_url": "<string>",
"custom_data": {}
},
"parameters": {},
"identity_ids": ["44444444-4444-4444-4444-444444444444"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"view_date": "2023-12-25",
"linkedin_profile_handle": "<string>",
"headline": "<string>",
"linkedin_profile_url": "<string>",
"sales_navigator_profile_id": "<string>",
"linkedin_profile_id": 123,
"profile_image_url": "<string>",
"linkedin_people_post_search_url": "<string>"
}
]1 credit per 10 results · credit_ratio 0.1 · Credit costs
No per-action quota · How limits work
Free with Engagement Mode
No credits required when executed with an Engagement Identity. Set type: “engagement” when creating an Identity via API.
To run LinkedIn actions, you must first create an identity and connect a LinkedIn
account, either using our Chrome
Extension,
username/password login, or Managed
Accounts to run without connecting an account.
Prefer
X-Pagination-Next and X-Pagination-Previous over constructing
pagination URLs yourself. Stop only when X-Pagination-Next is absent —
a short page (fewer results than the previous page, or than the action’s usual
page size) does not mean you are done. LinkedIn’s page length can vary from
one request to the next; the result array length is not a stop condition.Requirements
The connected LinkedIn identity must be admin of the page. Otherwise, the action returns a 424 error: “The provided account is not allowed to view the analytics of this organization. The account must be admin of the organization.”
The page must be Premium. If the page is not premium, the action returns a 424 error: “The provided account is allowed to view the analytics of this organization but the page is not premium. Please upgrade the page to access this data.”
Limitations
- Only viewers from the past year are extracted.
Authorizations
Query Parameters
Cursor value obtained from the X-Pagination-Next response header of a previous request, used to continue pagination. Cursors expire after 24 hours. If a cursor has expired or is invalid, pagination must be restarted from the beginning.
Maximum number of results per page (read-only; defined by the endpoint, actual count may be lower in some cases like throttling or internal limits).
Required range:
10 <= x <= 10Body
application/json
- Option 1
- Option 2
Show child attributes
Show child attributes
An array of Identity UUIDs linked to identities (e.g. LinkedIn) used to execute the Action. You must provide at least one valid UID with access to the integration. Do not use account_uid values — only user_uid is supported.
Example:
["44444444-4444-4444-4444-444444444444"]

